Add cart attributes - Fabric
Add cart attributes
cURL
curl --request POST \
--url https://api.fabric.inc/v3/carts/{cartId}/actions/add-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"attributes": {
"test": "test"
}
}
'
Python
import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/actions/add-attributes"
payload = { "attributes": { "test": "test" } }
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({attributes: {test: 'test'}})
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/actions/add-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/carts/{cartId}/actions/add-attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attributes' => [
'test' => 'test'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/carts/{cartId}/actions/add-attributes"
payload := strings.NewReader("{\n \"attributes\": {\n \"test\": \"test\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
JSON Response Example
{
"id": "c86f777b-1885-4ddf-961d-542ba80a69b8",
"attributes": {
"name": "wishlist"
},
"status": "ACTIVE",
"price": {
"total": 800
},
"createdAt": "2024-06-13T16:50:00.682Z",
"updatedAt": "2024-06-13T16:50:00.682Z"
}
Error Response Examples
Bad Request
{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}
Cart Not Found
{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}
Authorization Headers
- Authorization: Access token used to authenticate the request
- x-fabric-tenant-id: Identifies the tenant making the request
Path Parameters
- cartId: The 24-character system-generated Cart ID.